Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.civics.session
Interface CivicsService

All Known Implementing Classes:
  CivicsServiceImpl

    public interface CivicsService

The Business Connector for General Practitioners provides a simplified interface to access the CIVICS service by providing the following functionality:

- Search for a paragraph text
- Retrieve paragraph included specialties
- Retrieve paragraph exclusions
- Retrieve professional authorizations
- Retrieve added documents
- Search for reimbursement conditions

Pre-Requisites:
An active and valid eHealth-platform session (initiated via the Session Management component)

Default impl : `CivicsServiceImpl` Factory : `CivicsSessionServiceFactory`

Method Summary
`FindCNKResponse` | `findCNK(FindCNKRequest request)` The final operation 'Find Reimbursement Conditions' returns all information on prices and reimbursement amounts.
`FindParagraphTextResponse` | `findParagraphText(ParagraphAndVersesRequestType request)` The 'Find Paragraph Text' operation is responsible for fetching the textual part and related data with regards to reimbursement stipulations.
`FindReimbursementConditionsResponse` | `findReimbursementConditions(FindReimbursementConditionsRequest request)` The final operation 'Find Reimbursement Conditions' returns all information on prices and reimbursement amounts.
`GetAddedDocumentsResponse` | `getAddedDocuments(ParagraphAndVersesRequestType request)` The 'Get Added Documents' operation returns the description and identification of the structured forms annexed to a paragraph, including the URL referencing the NIHDI-website where the forms can be consulted or downloaded.
`GetParagraphExclusionsResponse` | `getParagraphExclusions(ParagraphRequestType request)` Some specialties may not be reimbursed in combination with other administered specialties for which there already is a refund agreement.
`GetParagraphIncludedSpecialitiesResponse` | `getParagraphIncludedSpecialties(ParagraphRequestType request)` The 'Get Paragraph Included Specialties' operation returns all specialties which are reimbursed within the requested paragraph.
`GetProfessionalAuthorisationsResponse` | `getProfessionalAuthorizations(GetProfessionalAuthorisationsRequest request)` Certain paragraphs stipulate requirements concerning the professional qualification of the physician-prescriber.

Method Detail

### findParagraphText

    FindParagraphTextResponse findParagraphText(ParagraphAndVersesRequestType request)
                                                throws TechnicalConnectorException,
                                                       CivicsBusinessConnectorException,
                                                       SessionManagementException

  The 'Find Paragraph Text' operation is responsible for fetching the textual part and related data with regards to reimbursement stipulations.

  It returns the formal textual conditions from the legislation.

  Parameters:
    `request` - Paragraph based search request for reimbursement conditions.
  Returns:
    Paragraph based search response for reimbursement conditions.
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `CivicsBusinessConnectorException`
    `SessionManagementException`

### getParagraphIncludedSpecialties

    GetParagraphIncludedSpecialitiesResponse getParagraphIncludedSpecialties(ParagraphRequestType request)
                                                                             throws CivicsBusinessConnectorException,
                                                                                    TechnicalConnectorException,
                                                                                    SessionManagementException

  The 'Get Paragraph Included Specialties' operation returns all specialties which are reimbursed within the requested paragraph.

  Parameters:
    `request` - Paragraph based search request for reimbursement conditions.
  Returns:
    Response for all specialties which are reimbursed within the requested paragraph.
  Throws:
    `CivicsBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`

### getParagraphExclusions

    GetParagraphExclusionsResponse getParagraphExclusions(ParagraphRequestType request)
                                                          throws TechnicalConnectorException,
                                                                 CivicsBusinessConnectorException,
                                                                 SessionManagementException

  Some specialties may not be reimbursed in combination with other administered specialties for which there already is a refund agreement. This operation allows retrieving such exclusions.

  The restrictions returned by the 'Get Paragraph Exclusions' operation are structured in a manner that allows immediate interpretation. All specialties are listed which cannot be reimbursed simultaneously with the refundable specialties inherent to the requested paragraph.

  Parameters:
    `request` - Paragraph based search request for reimbursement conditions.
  Returns:
    Response element for the paragraph exclusions operation.
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `CivicsBusinessConnectorException`
    `SessionManagementException`

### getProfessionalAuthorizations

    GetProfessionalAuthorisationsResponse getProfessionalAuthorizations(GetProfessionalAuthorisationsRequest request)
                                                                        throws TechnicalConnectorException,
                                                                               CivicsBusinessConnectorException,
                                                                               SessionManagementException

  Certain paragraphs stipulate requirements concerning the professional qualification of the physician-prescriber.

  A qualification list is returned that contains the professional codes known by the NIHDI or even the name of the authorized prescriber himself.

  Parameters:
    `request` - Request element for the Get Professional Authorizations Request operation.
  Returns:
    Response element for the Get Professional Authorization operation. the business connector exception
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `CivicsBusinessConnectorException`
    `SessionManagementException`

### getAddedDocuments

    GetAddedDocumentsResponse getAddedDocuments(ParagraphAndVersesRequestType request)
                                                throws TechnicalConnectorException,
                                                       CivicsBusinessConnectorException,
                                                       SessionManagementException

  The 'Get Added Documents' operation returns the description and identification of the structured forms annexed to a paragraph, including the URL referencing the NIHDI-website where the forms can be consulted or downloaded.

  Parameters:
    `request` - Paragraph based search request for reimbursement conditions.
  Returns:
    Response element from the Get Added Documents operation. the business connector exception
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `CivicsBusinessConnectorException`
    `SessionManagementException`

### findReimbursementConditions

    FindReimbursementConditionsResponse findReimbursementConditions(FindReimbursementConditionsRequest request)
                                                                    throws TechnicalConnectorException,
                                                                           CivicsBusinessConnectorException,
                                                                           SessionManagementException

  The final operation 'Find Reimbursement Conditions' returns all information on prices and reimbursement amounts. This information can be obtained on all specialities in a specific paragraph or on a specific specialty appearing in various paragraphs.

  Parameters:
    `request` - Paragraph based search request for reimbursement conditions.
  Returns:
    The response element for invoking the Find Reimbursement Conditions operation. the business connector exception
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `CivicsBusinessConnectorException`
    `SessionManagementException`

### findCNK

    FindCNKResponse findCNK(FindCNKRequest request)
                            throws TechnicalConnectorException,
                                   CivicsBusinessConnectorException,
                                   SessionManagementException

  The final operation 'Find Reimbursement Conditions' returns all information on prices and reimbursement amounts. This information can be obtained on all specialities in a specific paragraph or on a specific specialty appearing in various paragraphs.

  Parameters:
    `request` - Paragraph based search request for reimbursement conditions.
  Returns:
    The response element for invoking the Find Reimbursement Conditions operation. the business connector exception
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `CivicsBusinessConnectorException`
    `SessionManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.